<template>
  <header id='header'>
    {{text}}
  </header>
</template>

<script lang='ts'>
  import {Component, Prop, Vue} from 'vue-property-decorator';

  @Component({
    name: 'Header',
  })
  export default class Header extends Vue {
    @Prop(String) private readonly text!: string;
  }
</script>

<style>
  #header {
    border: 0.125rem solid black;
    border-radius: 0.125rem;
    font-size: 3em;
    font-weight: 800;
    background-color: aquamarine;
    color: #ffff;
    width: 100%;
  }
</style>
